//----------------------------------------------------------------------------------------------------//

/* 
 *	Jan Koci Software
 *	http://koci.opengl.cz
 */

//----------------------------------------------------------------------------------------------------//

/* 
 * KRegistryKey.h
 * 
 * Header file for registry key application
 * This application read and write to the windows registry key.
 * Read windows program files path from registry
 * Write application path to the registry
 * Read application path from registry
 * Read and write some double value to the registry
 * 
 *
 */

//----------------------------------------------------------------------------------------------------//

/*
 * 05.01.21 - First version
 *			
 */

//----------------------------------------------------------------------------------------------------//

#pragma once

class CRegistryKey
{
	// Application current path
	char m_strCurrPath[MAX_PATH];
	// Read and write values
	int m_i;
	bool m_b;
	
	

	// Init application
	void Init();
	// Save values to the registry
	void Save();
	// Load values from registry
	void Load();
	// Open registy key
	HKEY RegistryOpenKey(HKEY hKey, LPCTSTR lpKeyName, LPBOOL lpbCreated);
	// Close registry key
	BOOL RegistryCloseKey(HKEY hKey);
	// Write to the registry word value
	BOOL RegistryWriteDWORD(HKEY hKey, LPCTSTR lpValueName, DWORD dwValue);
	// Write to the registry string value
	BOOL RegistryWriteString(HKEY hKey, LPCTSTR lpValueName, LPCTSTR lpText);
	// Read from registry word value
	BOOL RegistryReadDWORD(HKEY hKey, LPCTSTR lpValueName, LPDWORD lpdwResult);
	// Read from registry string value
	BOOL RegistryReadString(HKEY hKey, LPCTSTR lpValueName, LPTSTR lpString);
	// Get windows program files path
	bool GetWinProgramFilesPath(char *strPath);
public:
	CRegistryKey(){};
	~CRegistryKey(){};

	// Start application
	void Start();
	



};
